<?php
/*
======================
Administraatori paneel
Oksjoni kustutamine
======================
*/
include "config.php";

if($_POST){
    include_once ROOT . 'db/dbconfig.php';
    include_once ADMIN_ROOT . 'objects/oksjon.class.php';
    include_once ADMIN_ROOT . 'objects/ese.class.php';

    $database = new Database();
    $db = $database->dbConnection();
    
    $id = $_POST['object_id'];
    $page = $_POST['page'];

    // Kui tegu on saalioksjoni esemega
    if($page == "saal"){
        $ese = new Ese($db);
        $ese->id = $_POST['object_id'];
        if($ese->delete()){
            echo "Kustutamine õnnestus.";
        }
        else{
            echo "Kustutamine ei õnnestunud.";    
        }

    // Kui tegu on internetioksjoniga
    } else {
        $oksjon = new Oksjon($db);
        $oksjon->id = $_POST['object_id'];
        if($oksjon->delete()){
            echo "Kustutamine õnnestus.";
        }
        else{
            echo "Kustutamine ei õnnestunud.";    
        }
    }
}
?>